package com.reactnativeactivityrecognitionwrapper.types

import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import java.io.Serializable

data class ActivityAveragedObj(
  val TYPE: String,
  val AVERAGE_CONFIDENCE: Double,
  val NUMBER_OF_INSTANCES: Int
) : Serializable {
  fun getMap(): WritableMap {
    return Arguments.createMap().apply {
      putDouble("AVERAGE_CONFIDENCE", AVERAGE_CONFIDENCE)
      putString("TYPE", TYPE)
      putInt("NUMBER_OF_INSTANCES", NUMBER_OF_INSTANCES)
    }
  }
}


