package com.reactnativeactivityrecognitionwrapper.types

import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import java.io.Serializable

data class LocationObj(
  val TIMESTAMP: String,
  val LAT: Double,
  val LONG: Double,
  val HORIZONTAL_ACCURACY: Float,
  val VERTICAL_ACCURACY: Float,
  val SPEED_ACCURACY: Float,
  val SPEED: Float,
  val ALTITUDE: Double,
  val COURSE: Float
) : Serializable {
  fun getMap(): WritableMap {
    return Arguments.createMap().apply {
      putString("TIMESTAMP", TIMESTAMP.toString())
      putString("LAT", LAT.toString())
      putString("LONG", LONG.toString())
      putString("HORIZONTAL_ACCURACY", HORIZONTAL_ACCURACY.toString())
      putString("VERTICAL_ACCURACY", VERTICAL_ACCURACY.toString())
      putString("SPEED_ACCURACY", SPEED_ACCURACY.toString())
      putString("SPEED", SPEED.toString())
      putString("ALTITUDE", ALTITUDE.toString())
      putString("COURSE", COURSE.toString())
    }

  }
}


