package com.reactnativeactivityrecognitionwrapper.utils

import android.content.Context
import android.content.SharedPreferences

class CacheManager {
  private var context: Context? = null
  private var sharedPreferences: SharedPreferences? = null

  constructor(cont: Context) {
    context = cont
    sharedPreferences =
      context!!.getSharedPreferences("TRACK_DATA_PREFERENCES", Context.MODE_PRIVATE)
  }

  fun getString(itemName: String): String? {
    val obj = sharedPreferences?.getString(itemName, null)
    return obj
  }

  fun setString(itemName: String, itemValue: String) {
    val editor = sharedPreferences?.edit()
    editor?.putString(itemName, itemValue)
    editor?.apply()

  }
}
