package com.reactnativeactivityrecognitionwrapper.types

import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import java.io.Serializable

data class ActivityObj(
  var TIMESTAMP: String,
  val TYPE: String,
  val CONFIDENCE: Int
) : Serializable {
  fun getMap(): WritableMap {
    return Arguments.createMap().apply {
      putString("TIMESTAMP", TIMESTAMP)
      putString("TYPE", TYPE)
      putInt("CONFIDENCE", CONFIDENCE)
    }
  }
}


