export declare function multiply(a: number, b: number): Promise<number>;
/**
 *
 * @param distanceFilter The minimum distance to be covered by the device before the app starts receiving location updates from the OS (in meters, eg 100 for 100meters.)
 * @returns
 */
export declare function enableActivityRecognitionTracking(distanceFilter: number, updateDuration: number, accuracy: number, notificationTitle?: string, notificationDescription?: string): Promise<boolean>;
export declare function restartAfterReboot(): any;
export declare function startSignificantLocationUpdates(): any;
export declare function startFrequentLocationUpdates(): any;
export declare function stop(): any;
export declare function startSensors(folderStructure: String, sensorInfoList: String): void;
export declare function stopSensors(): any;
export declare function getLastKnownLocation(): Promise<boolean>;
